%define name	mjpegtools
%define version	1.9.0
%define rel 1
%define release %mkrel %rel
%define api	1.9
%define major 0
%define libname %mklibname %name%{api}_ %major
%define filename %name-%version

%define _disable_ld_no_undefined 1
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source: 	http://prdownloads.sourceforge.net/mjpeg/%{filename}.tar.gz
Patch:		mjpegtools-1.9.0-format-strings.patch
Patch2: 	mjpegtools-1.9.0rc1-x86_64.patch
Requires:	%{libname} = %{version}
BuildRequires:  autoconf2.5
BuildRequires:  gtk+2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libSDL_gfx-devel
BuildRequires:  libxxf86dga-devel
BuildRequires:  libquicktime-devel nasm
Buildrequires:	libdv-devel >= 0.99
BuildRequires:	pulseaudio-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %version-%release
Obsoletes:	libmjpegtools0 < %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %version-%release
Obsoletes:	libmjpegtools0-devel < %version-%release

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %filename
%patch -p1
%patch2 -p1
libtoolize --copy --force
autoreconf
# toolame isn't in Mandriva, mp2enc is, so use that
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%build
export CPPFLAGS="%{optflags} -fpermissive -pthread"
export CFLAGS="%{optflags} -fpermissive -pthread"
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. ../configure --enable-simd-accel \
  --libdir=%_libdir
make
popd
%endif
# build regular package

%if %{_target_cpu} == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-simd-accel \
  --libdir=%_libdir
make
popd

%install
rm -rf %buildroot
%ifarch %{ix86}
pushd build-i686
%makeinstall
popd
mkdir -p $RPM_BUILD_ROOT/%_libdir/sse2
mv $RPM_BUILD_ROOT/%_libdir/*.so.* $RPM_BUILD_ROOT/%_libdir/sse2
%endif
pushd build-%{_target_cpu}
%makeinstall
popd
cp mpeg2enc/mpeg2syntaxcodes.h %buildroot%_includedir/mjpegtools/

%post
%_install_info mjpeg-howto.info

%postun
%_remove_install_info mjpeg-howto.info


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig 
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/*
%{_mandir}/man1/*
%_infodir/mjpeg-howto.info*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*-%api.so.%{major}*
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%api.so.%{major}*
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%_mandir/man5/yuv4mpeg.5*
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la



%changelog
* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2009.1
+ Revision: 325574
- new version
- fix format strings
- drop patch 3
- call libtoolize
- remove old configure options

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc4.1mdv2009.1
+ Revision: 311863
- new version
- drop patch 4
- fix build

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.9.0-0.rc3.3mdv2009.1
+ Revision: 217193
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 1.9.0-0.rc3.3mdv2009.0
+ Revision: 213563
- disable no_undefined, otherwise it will fail itself
- drop old conditions
- add gentoo patch for gcc 4.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc3.1mdv2008.1
+ Revision: 115622
- new version

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.0-0.rc2.4mdv2008.1
+ Revision: 89943
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/

  + Götz Waschk <waschk@mandriva.org>
    - remove obsolete patch

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.9.0-0.rc2.3mdv2008.0
+ Revision: 36104
- Rebuild with libslang2.

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc2.2mdv2008.0
+ Revision: 29632
- rebuild

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc2.1mdv2008.0
+ Revision: 14732
- new version
- new major
- drop patch 1
- patch 2: fix build on x86_64


* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 1.8.0-4mdv2007.0
- build with -fpermissive

* Mon Apr 03 2006 Gtz Waschk <waschk@mandriva.org> 1.8.0-3mdk
- move optimized i686 libs to sse2 dir

* Wed Mar 08 2006 Gtz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- patch to make it build with new libquicktime

* Tue Oct 04 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- new version

* Mon Sep 05 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.3mdk
- rebuild trying to fix #18242

* Sun Aug 28 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.2mdk
- reenable fortify

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.1mdk
- disable fortify to make it build
- new version

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc2.1mdk
- new major
- new version

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc1.2mdk
- add missing header

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-0.rc1.1mdk
- mkrel
- update file list
- fix optimization flags
- fix buildrequires
- drop patches 1,2,4,5
- new version

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.2-10mdk
- lib64 / multiarch

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.6.2-9mdk
- patch for new quicktime

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-8mdk
- drop 9.0 support

* Tue Jun 29 2004 Austin Acton <austin@mandrake.org> 1.6.2-7mdk
- from Marc Koschewski <marc@osknowledge.org> :
  - fix i686 build

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.2-6mdk
- buildrequires
- reenable libtoolize
- no .bz2 ending of man pages in %%files list
- cosmetics

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-5mdk
- fix cflags for i686
- patch for new g++

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-4mdk
- build with libquicktime

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-3mdk
- build static libs with -fPIC as they may be linked into a DSO

* Fri Apr 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-2mdk
- new libdv

* Fri Apr 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2-1mdk
- new version

* Wed Mar 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-3mdk
- build with SDL for yuvplay

* Sun Jan 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-2mdk
- patch to add info dir entry

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.93-1mdk
- use mdkversion macro
- new version

* Thu Nov 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.92-1mdk
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.91-1mdk
- fix file list
- no parallel build, please 
- drop patch 4
- new version

* Wed Nov 05 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.90-2mdk
- fix buildrequires

* Tue Nov 04 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1.90-1mdk
- rediff patch 3
- clean buildroot before installation
- add new files
- don't libtoolize
- patch4: fix illegal libtool version number
- use YV12 option
- drop patches 0,1,2
- don't require avifile anymore
- new version

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-11mdk
- BuildRequires

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.1-10mdk
- libtool fixes

* Tue Sep 02 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-9mdk
- fix buildrequires

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-8mdk
- patch2: disable werror to make it build
- patch1: fix avifile header location

* Wed Jul 09 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-7mdk
- autoconf2.5 macro for the non-686 version

